matrix:
  bazel:
    - 7.x
    - 8.x
    - rolling
  unix_platform:
    - debian10
    - debian11
    - macos
    - macos_arm64
    - ubuntu2004
    - ubuntu2204
    - ubuntu2404
tasks:
  unix_test:
    platform: ${{ unix_platform }}
    bazel: ${{ bazel }}
    build_flags:
      - --cxxopt=-std=c++17
    build_targets:
      - '@openexr//:OpenEXR'
  windows_test:
    platform: "windows"
    bazel: ${{ bazel }}
    build_flags:
      - --cxxopt=/std:c++20
    build_targets:
      - '@openexr//:OpenEXR'
